## org.eclipse.m2m.qvt.oml.ocl.legacy.libraries
Class StringLibrary.Metainfo

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ocl.legacy.libraries.StringLibrary.Metainfo

Enclosing class:
  StringLibrary

    public static class StringLibrary.Metainfo

extends java.lang.Object

Metainfo for the native methods should be accessible throu the static methods of inner class `Metainfo` with the same signature ant `String[]` return type. Returned array should contains string representation of OCL classifiers: array[0] - Context classifier array[n] - Classifier corresponds to the n-th operation parameter array[n+1] - Return type classifier

Constructor Summary
`StringLibrary.Metainfo()`

Method Summary
`static java.lang.String[]` `endsWith(java.lang.String self, java.lang.String suffix)`
`static java.lang.String[]` `indexOf(java.lang.String self, java.lang.String str)`
`static java.lang.String[]` `indexOf(java.lang.String self, java.lang.String str, java.lang.Integer fromIndex)`
`static java.lang.String[]` `lastIndexOf(java.lang.String self, java.lang.String str)`
`static java.lang.String[]` `lastIndexOf(java.lang.String self, java.lang.String str, java.lang.Integer fromIndex)`
`static java.lang.String[]` `replace(java.lang.String self, java.lang.String what, java.lang.String with)`
`static java.lang.String[]` `replaceAll(java.lang.String self, java.lang.String regexp, java.lang.String replacement)`
`static java.lang.String[]` `split(java.lang.String self, java.lang.String regex)`
`static java.lang.String[]` `split(java.lang.String self, java.lang.String regex, java.lang.Integer limit)`
`static java.lang.String[]` `startsWith(java.lang.String self, java.lang.String prefix)`
`static java.lang.String[]` `startsWith(java.lang.String self, java.lang.String prefix, java.lang.Integer tofset)`
`static java.lang.String[]` `toLowerCase(java.lang.String self)`
`static java.lang.String[]` `toUpperCase(java.lang.String self)`
`static java.lang.String[]` `trim(java.lang.String self)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringLibrary.Metainfo

    public StringLibrary.Metainfo()

Method Detail

### startsWith

    public static java.lang.String[] startsWith(java.lang.String self,
                                                java.lang.String prefix)

### startsWith

    public static java.lang.String[] startsWith(java.lang.String self,
                                                java.lang.String prefix,
                                                java.lang.Integer tofset)

### endsWith

    public static java.lang.String[] endsWith(java.lang.String self,
                                              java.lang.String suffix)

### indexOf

    public static java.lang.String[] indexOf(java.lang.String self,
                                             java.lang.String str)

### indexOf

    public static java.lang.String[] indexOf(java.lang.String self,
                                             java.lang.String str,
                                             java.lang.Integer fromIndex)

### lastIndexOf

    public static java.lang.String[] lastIndexOf(java.lang.String self,
                                                 java.lang.String str)

### lastIndexOf

    public static java.lang.String[] lastIndexOf(java.lang.String self,
                                                 java.lang.String str,
                                                 java.lang.Integer fromIndex)

### trim

    public static java.lang.String[] trim(java.lang.String self)

### replaceAll

    public static java.lang.String[] replaceAll(java.lang.String self,
                                                java.lang.String regexp,
                                                java.lang.String replacement)

### replace

    public static java.lang.String[] replace(java.lang.String self,
                                             java.lang.String what,
                                             java.lang.String with)

### toLowerCase

    public static java.lang.String[] toLowerCase(java.lang.String self)

### toUpperCase

    public static java.lang.String[] toUpperCase(java.lang.String self)

### split

    public static java.lang.String[] split(java.lang.String self,
                                           java.lang.String regex)

### split

    public static java.lang.String[] split(java.lang.String self,
                                           java.lang.String regex,
                                           java.lang.Integer limit)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.